<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">
							{{$store.state.locale.deletedTickets}}
							<div class="ticket_ttl_inr">{{$store.state.locale.ticket}} ({{ ticketListPageCount }})</div>
						</div>

						<button type="button" class="login_main_sign_btn bt ticket_del_btn" @click="RestoreTicketBatch" v-if="can('ticket_deleted', 'Edit')">
							<span>{{$store.state.locale.recover}}</span>
							<i class="mdi mdi-backup-restore"></i>
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th scope="col" v-if="can('ticket_deleted', 'Edit')">
										<div class="custom-control custom-checkbox">
											<input
													type="checkbox"
													class="custom-control-input"
													id="checkTicketAll"
													v-model="checkBoxAllToggle">
											<label class="custom-control-label" for="checkTicketAll"></label>
										</div>
									</th>
									<th scope="col">Id</th>
									<th scope="col">{{$store.state.locale.name}}</th>
									<th scope="col">{{$store.state.locale.callNumber}}</th>
									<th scope="col">{{$store.state.locale.categories}}</th>
									<th scope="col">{{$store.state.locale.priority}}</th>
									<th scope="col">{{$store.state.locale.dateAndTime}}</th>
									<th scope="col" class="w-40" v-if="can('ticket_deleted', 'Edit')"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="item in ticketList">
									<td v-if="can('ticket_deleted', 'Edit')">
										<div class="custom-control custom-checkbox">
											<input
													type="checkbox"
													class="custom-control-input"
													:id="'checkTicket' + item.id"
													:checked="checkBoxAllToggle"
													@change="GetCheckedItems($event.target.checked, item.id)"
											>
											<label class="custom-control-label" :for="'checkTicket' + item.id"></label>
										</div>
									</td>
									<td>{{ item.id }}</td>
									<td>{{ (item.applicantName && item.applicantName !== '') ? item.applicantName : '---' }}</td>
									<td>{{ (item.phoneNumber && item.phoneNumber !== '') ? item.phoneNumber : '---' }}</td>
									<td class="txt-editor">
										<ul v-if="item.categoryIds.length > 0 && item.categoryIds[0] !== ''">
											<li v-for="catId in item.categoryIds">
												{{ categoryList.find(x => x.id === parseInt(catId)) ? categoryList.find(x => x.id === parseInt(catId)).name : '---' }}
											</li>
										</ul>
										<span v-else>---</span>
									</td>
									<td>
										{{ priorityList.find(x => x.id === item.priorityId) ? priorityList.find(x => x.id === item.priorityId).name : '---' }}
									</td>
									<td>{{ item.dateTime | formatDateSecond }}</td>
									<td v-if="can('ticket_deleted', 'Edit')">
										<div class="btn-group">
											<router-link class="icon-btn" :to="'/call/edit/' + item.id">
												<i class="mdi mdi-pencil"></i>
											</router-link>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>

						<div class="call_message_ft d-flex justify-content-end py-4" v-if="ticketList.length > 0">
							<paginate
									:page-count="Math.ceil(ticketListPageCount / 10)"
									:page-range="3"
									:margin-pages="1"
									:click-handler="GetTickets"
									container-class="pagination base_pagination"
									page-class="page-item"
									prev-class="page-item ctrl"
									next-class="page-item ctrl"
									page-link-class="page-link"
									prev-link-class="page-link"
									next-link-class="page-link"
									prev-text="<i class='mdi mdi-chevron-left'></i>"
									next-text="<i class='mdi mdi-chevron-right'></i>"
							>
							</paginate>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>